Bug 16438 - another round of PCRE clean-up
: another round of PCRE clean-up
Status: RESOLVED FIXED
: WebKit
JavaScriptCore
: 528+ (Nightly build)
: Macintosh Mac OS X 10.4
: P3 Enhancement
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2007-12-14 10:45 PST by
Modified: 2007-12-16 20:20 PST (History)


Attachments
patch (all regression tests pass) (168.46 KB, patch)
2007-12-14 11:08 PST, Darin Adler
no flags Review Patch | Details | Formatted Diff | Diff
patch (all regression tests pass) (168.20 KB, patch)
2007-12-15 20:01 PST, Darin Adler
no flags Review Patch | Details | Formatted Diff | Diff
patch with "ignore whitespace differences" on -- may be easier to review (158.42 KB, patch)
2007-12-15 20:02 PST, Darin Adler
no flags Review Patch | Details | Formatted Diff | Diff
patch rebased to r28788 (168.27 KB, patch)
2007-12-16 17:36 PST, Darin Adler
mjs: review+
Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-12-14 10:45:59 PST
While looking into a regression, which I'll fix soon, I did another round of PCRE code tweaks.
------- Comment #1 From 2007-12-14 11:08:11 PST -------
Created an attachment (id=17896) [details]
patch (all regression tests pass)
------- Comment #2 From 2007-12-15 20:01:45 PST -------
Created an attachment (id=17921) [details]
patch (all regression tests pass)

Earlier patch had an extra ChangeLog entry.
------- Comment #3 From 2007-12-15 20:02:11 PST -------
Created an attachment (id=17922) [details]
patch with "ignore whitespace differences" on -- may be easier to review
------- Comment #4 From 2007-12-16 17:36:06 PST -------
Created an attachment (id=17947) [details]
patch rebased to r28788
------- Comment #5 From 2007-12-16 18:04:38 PST -------
(From update of attachment 17947 [details])
r=me
------- Comment #6 From 2007-12-16 20:20:38 PST -------
Committed revision 28793.